Class List Method List File List

# Class: Array

Inherits:
  Object
  - Object
  - Array
  show all
Defined in:
  src/ruby/osx/objc/ruby_addition.rb

## Overview

Array additions.

## Instance Method Summary (collapse)

- - (String) pack_as_pstring

  Returns string into packed Pascal string.

## Instance Method Details

### - (`String`) pack_as_pstring

Returns string into packed Pascal string.

Returns:

- (`String`)

    112
    113
    114
    115
    # File 'src/ruby/osx/objc/ruby_addition.rb', line 112

    def pack_as_pstring
      len = self[0]
      self[1..-1].pack("C#{len}")
    end